extends Node3D

func _ready():
	$Music.stream.loop = false

func switch_fish():
	$"Red Herring".visible = $"Red Herring Singing".visible
	$"Red Herring Singing".visible = !$"Red Herring Singing".visible

func _on_knop_input_event(_camera, event, _position, _normal, _shape_idx):
	if event is InputEventMouseButton and event.is_action_pressed("interact"):
		$Music.playing = !$Music.playing
		$"../Muziek".playing = !$Music.playing
		switch_fish()

func _on_music_finished():
	$"../Muziek".playing = true
	switch_fish()
